Skip to content

List subscriptions

Request

Returns a list of subscriptions matching some criteria. The subscriptions are returned sorted by creation date, with the most recent subscriptions appearing first.

Security
JWT
Query
statusstring

Filter subscriptions by status.

Enum:"created""active""paused""expired""failed""halted""cancelled""completed"
Example:status=active
customer_idstring

Filter subscriptions by customer ID.

Example:customer_id=cust_5JU9yv0lGSUP
start_datestring, (date)

Filter subscriptions with a particular start date, in UTC timezone and ISO 8601 format (YYYY-MM-DD).

Example:start_date=2024-01-01
end_datestring, (date)

Filter subscriptions with a particular end date, in UTC timezone and ISO 8601 format (YYYY-MM-DD).

Example:end_date=2024-12-31
beforestring, (timestamp)

ISO-8601 timestamp in UTC to filter resources created before this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example:before=2025-02-18T12:03:44Z
afterstring, (timestamp)

ISO-8601 timestamp in UTC to filter resources created after this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example:after=2025-01-18T12:03:44Z
per_pageinteger

Number of resources per page. Should be between 1 and 100.

Default:20
pageinteger

Page number for pagination. Starts from 1. Get the next page number from the next field in the response.

Default:1
GET
/subscriptions
curl -i -X GET \
  'https://api.glomopay.com/api/v1/subscriptions?status=active&customer_id=cust_5JU9yv0lGSUP&start_date=2024-01-01&end_date=2024-12-31&before=2025-02-18T12%3A03%3A44Z&after=2025-01-18T12%3A03%3A44Z&per_page=20&page=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of subscriptions matching the criteria.

Bodyapplication/json
dataArray of objects(Subscription)
page_metaobject(PageMeta)
Response
{ "data": [ {} ], "page_meta": { "current": 2, "previous": 1, "next": 3, "per_page": 20, "pages": 10, "count": 200 } }